Skip to main content
GET
/
trademark-search
cURL
curl --request GET \
  --url https://www.atom.com/api/marketplace/trademark-search
import requests

url = "https://www.atom.com/api/marketplace/trademark-search"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://www.atom.com/api/marketplace/trademark-search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "name": "<string>",
    "tag": "<string>"
  }
]

Query Parameters

api_token
string
default:{{trademark_api_key}}
required

Your Trademark API key

user_id
integer
required

Your Atom user ID

keyword
string
default:Google
required

Keyword to search for in trademark names

search_type
string

Type of search to perform

filing_status
string

Filter by trademark filing status

class
string

International class filter (e.g., ‘009’ for computer software)

page
integer

Page number for pagination

page_size
integer

Number of results per page (max 100)

Response

200 - application/json

Successful operation

name
string
required

Example Value

tag
string

Model